Bug 1896375 - Please build libtelnet for EPEL 8
Summary: Please build libtelnet for EPEL 8
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: libtelnet
Version: epel8
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Simone Caronni
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1909867
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-11-10 12:06 UTC by Robert Scheck
Modified: 2021-01-11 00:49 UTC (History)
3 users (show)

Fixed In Version: libtelnet-0.23-1.el8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-01-11 00:49:26 UTC
Type: Bug


Attachments (Terms of Use)

Description Robert Scheck 2020-11-10 12:06:27 UTC
Description of problem:
Please build libtelnet for EPEL 8, because it's a dependency of guacamole-server package. Rebuilding libtelnet-0.21-18.fc33 package "as is" should be sufficient.

Version-Release number of selected component (if applicable):
libtelnet-0.21-18.fc33

Actual results:
No libtelnet in EPEL 8.

Expected results:
libtelnet-0.21-18.el8 - or better ;-)

Additional info:
Please let me know if you are not interested in maintaining the package on EPEL 8 branch.

Comment 1 Robert Scheck 2020-12-14 09:13:46 UTC
Simone, could you please respond here?

Comment 2 Simone Caronni 2020-12-26 09:02:56 UTC
Hi, sorry receiving too many bugzilla emails to keep track.
I've requested the branch:

https://pagure.io/releng/fedora-scm-requests/issue/31448

What's your FAS username so I can add you to both packages (libtelnet and guacamole-server)?

Comment 3 Robert Scheck 2020-12-26 09:06:42 UTC
My FAS name is "robert".

Comment 4 Simone Caronni 2020-12-26 09:48:00 UTC
I've triggered an updated build in libtelnet, will do the same as soon as the libtelnet epel8 branch is available.

I've added you to libtelnet, but I just noticed now that i'm no longer part of guacamole-server. Would you add me please again as an admin? I'm doing some changes there as well.

Thanks.

Comment 5 Robert Scheck 2020-12-26 12:18:58 UTC
(In reply to Simone Caronni from comment #4)
> Would you add me please again as an admin? I'm doing some changes there as well.

May I kindly ask you to explain shortly why you decided to orphaned the package about three weeks ago (https://lists.fedoraproject.org/archives/list/devel-announce@lists.fedoraproject.org/thread/64WRIPD6QDD2KFGWVBOGKI2WHIYIZSG4/)? I would like to understand the back-and-forth as I took the package because it was orphaned.

Comment 6 Simone Caronni 2020-12-26 15:29:34 UTC
I actually did not orphan anything. I created the package in the first place and I was the only maintainer for a very long time, without ever letting it to rot.
I also took over lots of other packages just to maintain this one properly. I don't really know.

Comment 7 Simone Caronni 2020-12-26 15:35:23 UTC
I managed all the FreeRDP 1.2 to 2.x migration, rebuilt all possible packages with the FreeRDP 2 snapshots, took over Remmina, created arch specific packages on EPEL for PowerPC to get VNC support, and lots of other stuff. I did not orphan it unfortunately it was related to a missed rebuild for Fedora 34: https://bugzilla.redhat.com/show_bug.cgi?id=1878395

In the past 2 months I've been moving and renovating a house and filtering through thousands of bugzilla mails is not on my priority list. I'm doing some cleanup now (if you maintain a branch of any package you get emails for absolutely everything, for example).

Comment 8 Robert Scheck 2020-12-26 16:03:24 UTC
Ah, thank you for clarification. And yes, you unfortunately didn't respond for 1.5 months to RHBZ#1878395 which lead to orphaning of the package, similar would have happened for this one soon, too. I've added you as admin to guacamole-server now. Let's hope that we can avoid such situations in the future by being two people taking care about guacamole-server.

Comment 9 Simone Caronni 2020-12-26 18:22:10 UTC
That's perfect, thank you.

Comment 10 Fedora Update System 2020-12-26 19:27:06 UTC
FEDORA-EPEL-2020-11e33696e0 has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-11e33696e0

Comment 11 Fedora Update System 2020-12-27 02:00:22 UTC
FEDORA-EPEL-2020-11e33696e0 has been pushed to the Fedora EPEL 8 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-11e33696e0

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 12 Fedora Update System 2021-01-11 00:49:26 UTC
FEDORA-EPEL-2020-11e33696e0 has been pushed to the Fedora EPEL 8 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.